#!/bin/ksh 
# Copyright (c) 2002 IBM Corp. - All Rights Reserved.
# IBM makes no representations or warranties about the suitability of
# this program, either express or implied, including but not limited to rem the implied warranties of merchantability, fitness for a particular
# purpose, or non-infringement.
#
#############################################################################
#
#    Date   Initials   Defect    Description
#  11/01/02   MRW       1923     typo in copy of wsdl4j.jar
#  11/07/02   Amit      1953     copied client-config.wsdd to working dir
#  11/08/02   MRW       1962     run script in korn shell
#
#
# $1 is WAS_home $2 is Gateway_home

mkdir $1/WSGW_Backup
mkdir $1/WSGW_Backup/lib
mkdir $1/WSGW_Backup/bin


if [ -f $1/lib/wsif.jar ]; then
mv $1/lib/wsif.jar $1/WSGW_Backup/lib/wsif.jar
fi

if [ -f $1/lib/wsdl4j.jar ]; then
mv $1/lib/wsdl4j.jar $1/WSGW_Backup/lib/wsdl4j.jar
fi

if [ -f $1/lib/uddi4j.jar ]; then
mv $1/lib/uddi4j.jar $1/WSGW_Backup/lib/uddi4j.jar
fi

cp $2/lib/WSGWResourceBundles.jar $1/lib/WSGWResourceBundles.jar
cp $2/lib/soap.jar $1/lib/soap.jar
cp $2/lib/wsgw-samples.jar $1/lib/app/wsgw-samples.jar
cp $1/lib/http.jar $1/WSGW_Backup/lib/http.jar
cp $2/lib/httpr-handler.jar $1/java/jre/lib/ext
cp $2/samples/services/lftfileservice/client-config.wsdd $2

